package com.kingdee.eas.custom.attendanceexception;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractCenterLeaderRelationInfo extends com.kingdee.eas.framework.CoreBillBaseInfo implements Serializable 
{
    public AbstractCenterLeaderRelationInfo()
    {
        this("id");
    }
    protected AbstractCenterLeaderRelationInfo(String pkField)
    {
        super(pkField);
        put("entry", new com.kingdee.eas.custom.attendanceexception.CenterLeaderRelationEntryCollection());
    }
    /**
     * Object: 中心负责人关系表 's 分录 property 
     */
    public com.kingdee.eas.custom.attendanceexception.CenterLeaderRelationEntryCollection getEntry()
    {
        return (com.kingdee.eas.custom.attendanceexception.CenterLeaderRelationEntryCollection)get("entry");
    }
    /**
     * Object: 中心负责人关系表 's 部门 property 
     */
    public com.kingdee.eas.basedata.org.AdminOrgUnitInfo getDepartment()
    {
        return (com.kingdee.eas.basedata.org.AdminOrgUnitInfo)get("department");
    }
    public void setDepartment(com.kingdee.eas.basedata.org.AdminOrgUnitInfo item)
    {
        put("department", item);
    }
    /**
     * Object:中心负责人关系表's 是否需要通知组织负责人property 
     */
    public boolean isNotifyOrgLeader()
    {
        return getBoolean("notifyOrgLeader");
    }
    public void setNotifyOrgLeader(boolean item)
    {
        setBoolean("notifyOrgLeader", item);
    }
    /**
     * Object:中心负责人关系表's 人员idsproperty 
     */
    public String getPersonIds()
    {
        return getString("personIds");
    }
    public void setPersonIds(String item)
    {
        setString("personIds", item);
    }
    /**
     * Object:中心负责人关系表's 员工property 
     */
    public String getPersonNames()
    {
        return getString("personNames");
    }
    public void setPersonNames(String item)
    {
        setString("personNames", item);
    }
    /**
     * Object:中心负责人关系表's 工号property 
     */
    public String getPersonNumbers()
    {
        return getString("personNumbers");
    }
    public void setPersonNumbers(String item)
    {
        setString("personNumbers", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("386C1907");
    }
}